curl -X POST 'https://api.tolt.com/v1/clicks' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"link_id": "lnk_dK9bzRGn46BhVgNFHD6fDgXW",
"country": "US",
"device": "desktop",
"page": "https://example.com/product",
"referrer": "https://google.com"
}'
curl -X POST 'https://api.tolt.com/v1/clicks' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"param": "ref",
"value": "michael_scott",
"country": "US",
"device": "mobile",
"page": "https://example.com/product",
"referrer": "https://twitter.com"
}'
{
"success": true,
"data": [
{
"id": "clk_dK9bzRGn46BhVgNFHD6fDgXW",
"page": "https://example.com/product",
"referrer": "https://google.com",
"device": "desktop",
"browser": null,
"country": "US",
"state": null,
"link_id": "lnk_dK9bzRGn46BhVgNFHD6fDgXW",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-04-25T11:22:35.546Z",
"updated_at": "2025-04-25T11:22:35.546Z"
}
]
}
{
"success": true,
"data": [
{
"id": "clk_dK9bzRGn46BhVgNFHD6fDgXW",
"page": "https://example.com/product",
"referrer": "https://google.com",
"device": "desktop",
"browser": null,
"country": "US",
"state": null,
"link_id": "lnk_dK9bzRGn46BhVgNFHD6fDgXW",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-04-25T11:22:35.546Z",
"updated_at": "2025-04-25T11:22:35.546Z"
}
]
}
Clicks
Create Click
This endpoint creates a click. You can create a click either by providing partner and link IDs or by using a tracking parameter and value.
POST
/
v1
/
clicks
curl -X POST 'https://api.tolt.com/v1/clicks' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"link_id": "lnk_dK9bzRGn46BhVgNFHD6fDgXW",
"country": "US",
"device": "desktop",
"page": "https://example.com/product",
"referrer": "https://google.com"
}'
curl -X POST 'https://api.tolt.com/v1/clicks' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"param": "ref",
"value": "michael_scott",
"country": "US",
"device": "mobile",
"page": "https://example.com/product",
"referrer": "https://twitter.com"
}'
{
"success": true,
"data": [
{
"id": "clk_dK9bzRGn46BhVgNFHD6fDgXW",
"page": "https://example.com/product",
"referrer": "https://google.com",
"device": "desktop",
"browser": null,
"country": "US",
"state": null,
"link_id": "lnk_dK9bzRGn46BhVgNFHD6fDgXW",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-04-25T11:22:35.546Z",
"updated_at": "2025-04-25T11:22:35.546Z"
}
]
}
{
"success": true,
"data": [
{
"id": "clk_dK9bzRGn46BhVgNFHD6fDgXW",
"page": "https://example.com/product",
"referrer": "https://google.com",
"device": "desktop",
"browser": null,
"country": "US",
"state": null,
"link_id": "lnk_dK9bzRGn46BhVgNFHD6fDgXW",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-04-25T11:22:35.546Z",
"updated_at": "2025-04-25T11:22:35.546Z"
}
]
}
Base URL https://api.tolt.com
Body Parameters
You can create a click using one of these two methods:Method 1: Using Partner and Link IDs
string
The ID of the partner who generated the click
string - optional
The ID of the link that was clicked
Method 2: Using Tracking Parameter
string
The tracking parameter name (e.g., ‘ref’, ‘via’)
string
The value of the tracking parameter
Common Optional Parameters
string - optional
Two-letter ISO country code where the click originated
string - optional
Device type that generated the click (e.g., ‘desktop’, ‘mobile’, ‘tablet’)
string - optional
URL of the page where the click occurred
string - optional
URL of the referring page
Response
boolean
Whether the request was successful
object
Hide properties
Hide properties
string
Unique identifier for the click,
uuid or prefixed with clk_string
ID of the partner who generated the click
string
ID of the link that was clicked
string
Two-letter ISO country code
string | null
State
string
Device type
string
Page URL
string | null
Browser name
string
Referrer URL
string
ISO 8601 timestamp of creation
string
Program ID the click belongs to
string
Organization ID
curl -X POST 'https://api.tolt.com/v1/clicks' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"link_id": "lnk_dK9bzRGn46BhVgNFHD6fDgXW",
"country": "US",
"device": "desktop",
"page": "https://example.com/product",
"referrer": "https://google.com"
}'
curl -X POST 'https://api.tolt.com/v1/clicks' \
-H 'Authorization: Bearer <API_KEY>' \
-H 'Content-Type: application/json' \
-d '{
"param": "ref",
"value": "michael_scott",
"country": "US",
"device": "mobile",
"page": "https://example.com/product",
"referrer": "https://twitter.com"
}'
{
"success": true,
"data": [
{
"id": "clk_dK9bzRGn46BhVgNFHD6fDgXW",
"page": "https://example.com/product",
"referrer": "https://google.com",
"device": "desktop",
"browser": null,
"country": "US",
"state": null,
"link_id": "lnk_dK9bzRGn46BhVgNFHD6fDgXW",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2"
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-04-25T11:22:35.546Z",
"updated_at": "2025-04-25T11:22:35.546Z"
}
]
}
{
"success": true,
"data": [
{
"id": "clk_dK9bzRGn46BhVgNFHD6fDgXW",
"page": "https://example.com/product",
"referrer": "https://google.com",
"device": "desktop",
"browser": null,
"country": "US",
"state": null,
"link_id": "lnk_dK9bzRGn46BhVgNFHD6fDgXW",
"organization_id": "org_JE3mfYNL9ci7sFaJazAv2",
"program_id": "prg_YRsbPDAKhWfdqJbFACheh",
"partner_id": "part_s7mbzRGn46BhVgNFHD6fDgXW",
"created_at": "2025-04-25T11:22:35.546Z",
"updated_at": "2025-04-25T11:22:35.546Z"
}
]
}
⌘I

